:root {
  --transition-speed: 0.8s;
}

.reveal-wrapper {
  height: 1600px; /* Altura total del scroll (800px de vista + 800px de recorrido) */
  position: relative;
  background-color: transparent;
}

.sticky-container {
  position: sticky;
  top: 0;
  height: 800px; /* Altura máxima */
  width: 100%;
  overflow: hidden;
}

.layer {
  position: absolute; /* Esto las superpone una encima de otra */
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
}

.background-layer {
  background-image: url('https://delinaje.com/wp-content/uploads/2026/01/home-hero.webp');
  z-index: 1;
}

.foreground-layer {
  z-index: 2;
  background-color: transparent; 
  will-change: transform;
}

@media (min-width:1601px) and (max-width:1920px){
  .foreground-layer {
      background-image: url('https://delinaje.com/wp-content/uploads/2026/01/cover-hero-1920x800-1.webp');
  }
}

@media (min-width:1921px){
  .foreground-layer {
    background-image: url('https://delinaje.com/wp-content/uploads/2026/01/cover-hero.webp');
  }
}

@media (min-width:1361px) and (max-width:1600px){
  .foreground-layer {
      background-image: url('https://delinaje.com/wp-content/uploads/2026/01/cover-hero-1600x800-1.webp');
  }
}

@media (min-width:1025px) and (max-width:1360px){
  .foreground-layer {
      background-image: url('https://delinaje.com/wp-content/uploads/2026/01/cover-hero-1360x600-1.webp');
  }
}

@media (min-width:769px) and (max-width:1024px){
  .foreground-layer {
      background-image: url('https://delinaje.com/wp-content/uploads/2026/01/cover-hero-800x800-1.webp');
  }
}

@media (max-width:768px){
  .foreground-layer {
      background-image: url('https://delinaje.com/wp-content/uploads/2026/01/cover-hero-580x800-1.webp');
  }
}